# -*- coding: utf-8 -*-
# Copyright (C) 2018 Freetech Solutions

# This file is part of OMniLeads

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/.
#

from django.conf.urls import url

from configuracion_telefonia_app.views import base, audio
from ominicontacto_app.auth.decorators import (
    administrador_requerido, administrador_o_supervisor_requerido)


urlpatterns = [
    url(r'^configuracion_telefonia/troncal_sip/lista/page(?P<page>[0-9]+)/$',
        administrador_requerido(base.TroncalSIPListView.as_view()),
        name='lista_troncal_sip',
        ),
    url(r'^configuracion_telefonia/troncal_sip/crear/$',
        administrador_requerido(base.TroncalSIPCreateView.as_view()),
        name='crear_troncal_sip',
        ),
    url(r'^configuracion_telefonia/troncal_sip/(?P<pk>\d+)/editar/$',
        administrador_requerido(base.TroncalSIPUpdateView.as_view()),
        name='editar_troncal_sip',
        ),
    url(r'^configuracion_telefonia/troncal_sip/(?P<pk>\d+)/eliminar/$',
        administrador_requerido(base.TroncalSIPDeleteView.as_view()),
        name='eliminar_troncal_sip',
        ),
    url(r'^configuracion_telefonia/ruta_saliente/lista/page(?P<page>[0-9]+)/$',
        administrador_requerido(base.RutaSalienteListView.as_view()),
        name='lista_rutas_salientes',
        ),
    url(r'^configuracion_telefonia/ruta_saliente/ordenar/$',
        administrador_requerido(base.OrdenarRutasSalientesView.as_view()),
        name='ordenar_rutas_salientes',
        ),
    url(r'^configuracion_telefonia/ruta_saliente/crear/$',
        administrador_requerido(base.RutaSalienteCreateView.as_view()),
        name='crear_ruta_saliente',
        ),
    url(r'^configuracion_telefonia/ruta_saliente/(?P<pk>\d+)/editar/$',
        administrador_requerido(base.RutaSalienteUpdateView.as_view()),
        name='editar_ruta_saliente'),
    url(r'^configuracion_telefonia/ruta_saliente/eliminar/(?P<pk>\d+)/$',
        administrador_requerido(base.EliminarRutaSaliente.as_view()),
        name='eliminar_ruta_saliente',
        ),
    url(r'^configuracion_telefonia/ruta_entrante/lista/page(?P<page>[0-9]+)/$',
        administrador_requerido(base.RutaEntranteListView.as_view()),
        name='lista_rutas_entrantes',
        ),
    url(r'^configuracion_telefonia/ruta_entrante/crear/$',
        administrador_requerido(base.RutaEntranteCreateView.as_view()),
        name='crear_ruta_entrante',
        ),
    url(r'^configuracion_telefonia/ruta_entrante/(?P<pk>\d+)/editar/$',
        administrador_requerido(base.RutaEntranteUpdateView.as_view()),
        name='editar_ruta_entrante',
        ),
    url(r'^configuracion_telefonia/ruta_entrante/(?P<pk>\d+)/eliminar/$',
        administrador_requerido(base.RutaEntranteDeleteView.as_view()),
        name='eliminar_ruta_entrante',
        ),
    url(r'^configuracion_telefonia/ruta_entrante/obtener_destinos_tipo/(?P<tipo_destino>\d+)/$',
        administrador_requerido(base.ApiObtenerDestinosEntrantes.as_view()),
        name='obtener_destinos_tipo',
        ),
    url(r'^configuracion_telefonia/ivr/lista/page(?P<page>[0-9]+)/$',
        administrador_requerido(base.IVRListView.as_view()),
        name='lista_ivrs',
        ),
    url(r'^configuracion_telefonia/ivr/crear/$',
        administrador_requerido(base.IVRCreateView.as_view()),
        name='crear_ivr',
        ),
    url(r'^configuracion_telefonia/ivr/content/crear/$',
        administrador_requerido(base.IVRContentCreateView.as_view()),
        name='crear_ivr_content',
        ),
    url(r'^configuracion_telefonia/ivr/(?P<pk>\d+)/editar/$',
        administrador_requerido(base.IVRUpdateView.as_view()),
        name='editar_ivr',
        ),
    url(r'^configuracion_telefonia/ivr/(?P<pk>\d+)/eliminar/$',
        administrador_requerido(base.IVRDeleteView.as_view()),
        name='eliminar_ivr',
        ),
    url(r'^configuracion_telefonia/grupo_horario/lista/page(?P<page>[0-9]+)/$',
        administrador_o_supervisor_requerido(base.GrupoHorarioListView.as_view()),
        name='lista_grupos_horarios',
        ),
    url(r'^configuracion_telefonia/grupo_horario/crear/$',
        administrador_o_supervisor_requerido(base.GrupoHorarioCreateView.as_view()),
        name='crear_grupo_horario',
        ),
    url(r'^configuracion_telefonia/grupo_horario/(?P<pk>\d+)/editar/$',
        administrador_o_supervisor_requerido(base.GrupoHorarioUpdateView.as_view()),
        name='editar_grupo_horario',
        ),
    url(r'^configuracion_telefonia/grupo_horario/(?P<pk>\d+)/eliminar/$',
        administrador_o_supervisor_requerido(base.GrupoHorarioDeleteView.as_view()),
        name='eliminar_grupo_horario',
        ),
    url(r'^configuracion_telefonia/validacion_fecha_hora/lista/page(?P<page>[0-9]+)/$',
        administrador_o_supervisor_requerido(base.ValidacionFechaHoraListView.as_view()),
        name='lista_validaciones_fecha_hora',
        ),
    url(r'^configuracion_telefonia/validacion_fecha_hora/crear/$',
        administrador_o_supervisor_requerido(base.ValidacionFechaHoraCreateView.as_view()),
        name='crear_validacion_fecha_hora',
        ),
    url(r'^configuracion_telefonia/validacion_fecha_hora/(?P<pk>\d+)/editar/$',
        administrador_o_supervisor_requerido(base.ValidacionFechaHoraUpdateView.as_view()),
        name='editar_validacion_fecha_hora',
        ),
    url(r'^configuracion_telefonia/validacion_fecha_hora/(?P<pk>\d+)/eliminar/$',
        administrador_o_supervisor_requerido(base.ValidacionFechaHoraDeleteView.as_view()),
        name='eliminar_validacion_fecha_hora',
        ),
    url(r'^configuracion_telefonia/identificador_cliente/lista/page(?P<page>[0-9]+)/$',
        administrador_o_supervisor_requerido(base.IdentificadorClienteListView.as_view()),
        name='lista_identificador_cliente',
        ),
    url(r'^configuracion_telefonia/identificador_cliente/crear/$',
        administrador_o_supervisor_requerido(base.IdentificadorClienteCreateView.as_view()),
        name='crear_identificador_cliente',
        ),
    url(r'^configuracion_telefonia/identificador_cliente/(?P<pk>\d+)/editar/$',
        administrador_o_supervisor_requerido(base.IdentificadorClienteUpdateView.as_view()),
        name='editar_identificador_cliente',
        ),
    url(r'^configuracion_telefonia/identificador_cliente/(?P<pk>\d+)/eliminar/$',
        administrador_o_supervisor_requerido(base.IdentificadorClienteDeleteView.as_view()),
        name='eliminar_identificador_cliente',
        ),
    url(r'^destino_personalizado/lista/page(?P<page>[0-9]+)/$',
        base.DestinoPersonalizadoListView.as_view(),
        name='lista_destinos_personalizados'),
    url(r'^destino_personalizado/crear/$', base.DestinoPersonalizadoCreateView.as_view(),
        name='crear_destino_personalizado'),
    url(r'^destino_personalizado/(?P<pk>\d+)/editar$',
        base.DestinoPersonalizadoUpdateView.as_view(), name='editar_destino_personalizado'),
    url(r'^destino_personalizado/(?P<pk>\d+)/eliminar$',
        base.DestinoPersonalizadoDeleteView.as_view(), name='eliminar_destino_personalizado'),
    url(r'^configuracion_telefonia/adicionar_audios_asterisk/$',
        administrador_o_supervisor_requerido(audio.AdicionarAudioAsteriskView.as_view()),
        name='adicionar_audios_asterisk',
        ),
    url(r'^configuracion_telefonia/playlist/lista/$',
        administrador_o_supervisor_requerido(audio.PlaylistListView.as_view()),
        name='lista_playlist',
        ),
    url(r'^configuracion_telefonia/playlist/crear/$',
        administrador_o_supervisor_requerido(audio.PlaylistCreateView.as_view()),
        name='crear_playlist',
        ),
    url(r'^configuracion_telefonia/playlist/(?P<pk>\d+)/eliminar/$',
        administrador_o_supervisor_requerido(audio.PlaylistDeleteView.as_view()),
        name='eliminar_playlist',
        ),
    url(r'^configuracion_telefonia/playlist/(?P<pk>\d+)/editar/$',
        administrador_o_supervisor_requerido(audio.MusicaDeEsperaCreateView.as_view()),
        name='editar_playlist',
        ),
    url(r'^configuracion_telefonia/playlist/(?P<pk>\d+)/remover_musica_de_espera/$',
        administrador_o_supervisor_requerido(audio.MusicaDeEsperaDeleteView.as_view()),
        name='eliminar_musica_de_espera',
        ),
]
